# CUpti_ActivityMetricInstance Struct Reference
[CUPTI Activity API]

The activity record for a CUPTI metric with instance information. More...

## Data Fields
uint32_t | correlationId
uint8_t | flags
CUpti_MetricID | id
uint32_t | instance
CUpti_ActivityKind | kind
uint8_t | pad [7]
CUpti_MetricValue | value

## Detailed Description

This activity record represents a CUPTI metric value for a specific metric domain instance (CUPTI_ACTIVITY_KIND_METRIC_INSTANCE). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data. This activity record should be used when metric domain instance information needs to be associated with the metric.

## Field Documentation

uint32_t CUpti_ActivityMetricInstance::correlationId

The correlation ID of the metric. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the metric was gathered.

uint8_t CUpti_ActivityMetricInstance::flags

The properties of this metric.

See also:
  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityMetricInstance::id

The metric ID.

uint32_t CUpti_ActivityMetricInstance::instance

The metric domain instance.

CUpti_ActivityKind CUpti_ActivityMetricInstance::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_METRIC_INSTANCE.

uint8_t CUpti_ActivityMetricInstance::pad[7]

Undefined. Reserved for internal use.

CUpti_MetricValue CUpti_ActivityMetricInstance::value

The metric value.